Shipment
The workhorse of the EasyPost API, a Shipment is made up of a "to" and "from" Address, the Parcel being shipped, and any Forms required for international deliveries. Once created, a Shipment object is used to retrieve shipping Rates and purchase a label.
A Shipment created with a valid to_address, from_address, and parcel will automatically populate its rates attribute.
id in other API endpointsfrom_addressto_addressline_items. Each item must include:total_line_value(string): Total declared value for the item in USD.item_description(string): Description of the shipped item.
value amounts can also supply product value for USPS Claims. New claims integrations should send line_items.TaxIdentifier arrayRate arrayRate objectsPostageLabel objectMessage arraytrue to create as a return. Discussed in more depth below.Tracker object.- "unknown"
- "pre_transit"
- "in_transit"
- "out_for_delivery"
- "delivered"
- "available_for_pickup"
- "return_to_sender"
- "failure"
- "cancelled"
- "error"
Tracker objectFee arrayFee objects charged to the billing user account- "submitted"
- "refunded"
- "rejected"
Batch that contains this shipment, if anyBatchShipmentBatchShipmentShipment was createdShipment was last updated{
"id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
"created_at": "2025-05-09T20:40:06Z",
"is_return": false,
"messages": [],
"mode": "test",
"options": {
"currency": "USD",
"payment": {
"type": "SENDER"
},
"date_advance": 0
},
"reference": null,
"status": "unknown",
"tracking_code": null,
"updated_at": "2025-05-09T20:40:06Z",
"batch_id": null,
"batch_status": null,
"batch_message": null,
"customs_info": {
"id": "cstinfo_35c8cd97c80a47c6807646a34db5f305",
"object": "CustomsInfo",
"created_at": "2025-05-09T20:40:06Z",
"updated_at": "2025-05-09T20:40:06Z",
"contents_explanation": "",
"contents_type": "merchandise",
"customs_certify": true,
"customs_signer": "Steve Brule",
"eel_pfc": "NOEEI 30.37(a)",
"non_delivery_option": "return",
"restriction_comments": null,
"restriction_type": "none",
"mode": "test",
"declaration": null,
"customs_items": [
{
"id": "cstitem_3a28ba5d280f46b48e6d4195fa41a211",
"object": "CustomsItem",
"created_at": "2025-05-09T20:40:06Z",
"updated_at": "2025-05-09T20:40:06Z",
"description": "T-shirt",
"hs_tariff_number": "123456",
"origin_country": "US",
"quantity": 1,
"value": "10.0",
"weight": 5,
"code": "123",
"mode": "test",
"manufacturer": null,
"currency": null,
"eccn": null,
"printed_commodity_identifier": null
}
]
},
"from_address": {
"id": "adr_cad8c90a2d1511f0b6ff3cecef1b359e",
"object": "Address",
"created_at": "2025-05-09T20:40:06+00:00",
"updated_at": "2025-05-09T20:40:06+00:00",
"name": "EasyPost",
"company": null,
"street1": "417 Montgomery Street",
"street2": "5th Floor",
"city": "San Francisco",
"state": "CA",
"zip": "94104",
"country": "US",
"phone": "4153334445",
"email": "support@easypost.com",
"mode": "test",
"carrier_facility": null,
"residential": null,
"federal_tax_id": null,
"state_tax_id": null,
"verifications": {}
},
"insurance": null,
"order_id": null,
"parcel": {
"id": "prcl_aa5a8eb48a92450c93fe5e452303cee2",
"object": "Parcel",
"created_at": "2025-05-09T20:40:06Z",
"updated_at": "2025-05-09T20:40:06Z",
"length": 20.2,
"width": 10.9,
"height": 5,
"predefined_package": null,
"weight": 65.9,
"mode": "test"
},
"postage_label": null,
"rates": [
{
"id": "rate_9c291b87bdec47a0b3ed151c60b21fb4",
"object": "Rate",
"created_at": "2025-05-09T20:40:07Z",
"updated_at": "2025-05-09T20:40:07Z",
"mode": "test",
"service": "Express",
"carrier": "USPS",
"rate": "51.20",
"currency": "USD",
"retail_rate": "59.25",
"retail_currency": "USD",
"list_rate": "51.20",
"list_currency": "USD",
"billing_type": "easypost",
"delivery_days": 2,
"delivery_date": null,
"delivery_date_guaranteed": false,
"est_delivery_days": 2,
"shipment_id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
"carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
},
{
"id": "rate_e5b3aaafb00f48a4ab27d9f20a801b40",
"object": "Rate",
"created_at": "2025-05-09T20:40:07Z",
"updated_at": "2025-05-09T20:40:07Z",
"mode": "test",
"service": "Priority",
"carrier": "USPS",
"rate": "11.01",
"currency": "USD",
"retail_rate": "15.40",
"retail_currency": "USD",
"list_rate": "11.01",
"list_currency": "USD",
"billing_type": "easypost",
"delivery_days": 2,
"delivery_date": null,
"delivery_date_guaranteed": false,
"est_delivery_days": 2,
"shipment_id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
"carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
},
{
"id": "rate_76e0cae29e294e6db279c76bbe2f27e9",
"object": "Rate",
"created_at": "2025-05-09T20:40:07Z",
"updated_at": "2025-05-09T20:40:07Z",
"mode": "test",
"service": "GroundAdvantage",
"carrier": "USPS",
"rate": "8.20",
"currency": "USD",
"retail_rate": "13.85",
"retail_currency": "USD",
"list_rate": "9.74",
"list_currency": "USD",
"billing_type": "easypost",
"delivery_days": 3,
"delivery_date": null,
"delivery_date_guaranteed": false,
"est_delivery_days": 3,
"shipment_id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
"carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
}
],
"refund_status": null,
"scan_form": null,
"selected_rate": null,
"tracker": null,
"to_address": {
"id": "adr_cad6e47c2d1511f094d5ac1f6bc539aa",
"object": "Address",
"created_at": "2025-05-09T20:40:06+00:00",
"updated_at": "2025-05-09T20:40:06+00:00",
"name": "Dr. Steve Brule",
"company": null,
"street1": "179 N Harbor Dr",
"street2": null,
"city": "Redondo Beach",
"state": "CA",
"zip": "90277",
"country": "US",
"phone": "8573875756",
"email": "dr_steve_brule@gmail.com",
"mode": "test",
"carrier_facility": null,
"residential": null,
"federal_tax_id": null,
"state_tax_id": null,
"verifications": {}
},
"usps_zone": 4,
"return_address": {
"id": "adr_cad8c90a2d1511f0b6ff3cecef1b359e",
"object": "Address",
"created_at": "2025-05-09T20:40:06+00:00",
"updated_at": "2025-05-09T20:40:06+00:00",
"name": "EasyPost",
"company": null,
"street1": "417 Montgomery Street",
"street2": "5th Floor",
"city": "San Francisco",
"state": "CA",
"zip": "94104",
"country": "US",
"phone": "4153334445",
"email": "support@easypost.com",
"mode": "test",
"carrier_facility": null,
"residential": null,
"federal_tax_id": null,
"state_tax_id": null,
"verifications": {}
},
"buyer_address": {
"id": "adr_cad6e47c2d1511f094d5ac1f6bc539aa",
"object": "Address",
"created_at": "2025-05-09T20:40:06+00:00",
"updated_at": "2025-05-09T20:40:06+00:00",
"name": "Dr. Steve Brule",
"company": null,
"street1": "179 N Harbor Dr",
"street2": null,
"city": "Redondo Beach",
"state": "CA",
"zip": "90277",
"country": "US",
"phone": "8573875756",
"email": "dr_steve_brule@gmail.com",
"mode": "test",
"carrier_facility": null,
"residential": null,
"federal_tax_id": null,
"state_tax_id": null,
"verifications": {}
},
"forms": [],
"fees": [],
"object": "Shipment"
}PostageLabel was createdPostageLabel was last updated{
"object": "PostageLabel",
"id": "pl_6270007cad7643eaad274bb5c71e9614",
"created_at": "2025-05-09T20:40:11Z",
"updated_at": "2025-05-09T20:40:12Z",
"date_advance": 0,
"integrated_form": "none",
"label_date": "2025-05-09T20:40:11Z",
"label_resolution": 300,
"label_size": "4x6",
"label_type": "default",
"label_file_type": "image/png",
"label_url": "https://easypost-files.s3.us-west-2.amazonaws.com/files/postage_label/20250509/e857a7afd19edf498587cd09e2564722ab.png",
"label_pdf_url": null,
"label_zpl_url": "https://easypost-files.s3-us-west-2.amazonaws.com/files/postage_label/20250509/cbed7645eafc4a23af370b4525144fc3.zpl",
"label_epl2_url": null,
"label_file": null
}A Shipment is almost exclusively a container for
other objects, and thus a Shipment may reuse many of
these objects. Additionally, all the objects contained within a
Shipment may be created at the same time.
The origin/destination Address and
Parcel are required for rating. Parcel.weight must be provided in ounces (oz).
CustomInfo is required to rate an international Shipment, this includes when the
destination is a U.S. territory. The associated
Tracker,Fee, and
Rates
are generated by EasyPost and cannot be modified by the user.
You can limit the CarrierAccounts
to use for rating by passing the carrier_accounts parameter.
If the CarrierAccount IDs provided are invalid or disabled, the
shipment creation call will result in an error.
For eligible international Shipments, EasyPost automatically calculates landed cost when retrieving
Rates. Supported Rates include landed cost information when available. No separate
landed cost request is required. See the Landed Cost Guide for eligibility and
requirements.
A Shipment object is immutable once created. All information must be provided during creation; it cannot be modified later.
Request Parameters
id in other API endpointsfrom_address as the return address.CarrierAccount IDs1curl -X POST https://api.easypost.com/v2/shipments \
2 -u "EASYPOST_API_KEY": \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "shipment": {
6 "to_address": {
7 "name": "Dr. Steve Brule",
8 "street1": "179 N Harbor Dr",
9 "city": "Redondo Beach",
10 "state": "CA",
11 "zip": "90277",
12 "country": "US",
13 "phone": "8573875756",
14 "email": "dr_steve_brule@gmail.com"
15 },
16 "from_address": {
17 "name": "EasyPost",
18 "street1": "417 Montgomery Street",
19 "street2": "5th Floor",
20 "city": "San Francisco",
21 "state": "CA",
22 "zip": "94104",
23 "country": "US",
24 "phone": "4153334445",
25 "email": "support@easypost.com"
26 },
27 "parcel": {
28 "length": "20.2",
29 "width": "10.9",
30 "height": "5",
31 "weight": "65.9"
32 },
33 "line_items": [
34 {
35 "total_line_value": "129.00",
36 "item_description": "Mugs"
37 },
38 {
39 "total_line_value": "45.50",
40 "item_description": "T-shirts"
41 }
42 ]
43 }
44 }'1{
2 "id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
3 "created_at": "2025-05-09T20:40:06Z",
4 "is_return": false,
5 "messages": [],
6 "mode": "test",
7 "options": {
8 "currency": "USD",
9 "payment": {
10 "type": "SENDER"
11 },
12 "date_advance": 0
13 },
14 "reference": null,
15 "status": "unknown",
16 "tracking_code": null,
17 "updated_at": "2025-05-09T20:40:06Z",
18 "batch_id": null,
19 "batch_status": null,
20 "batch_message": null,
21 "customs_info": {
22 "id": "cstinfo_35c8cd97c80a47c6807646a34db5f305",
23 "object": "CustomsInfo",
24 "created_at": "2025-05-09T20:40:06Z",
25 "updated_at": "2025-05-09T20:40:06Z",
26 "contents_explanation": "",
27 "contents_type": "merchandise",
28 "customs_certify": true,
29 "customs_signer": "Steve Brule",
30 "eel_pfc": "NOEEI 30.37(a)",
31 "non_delivery_option": "return",
32 "restriction_comments": null,
33 "restriction_type": "none",
34 "mode": "test",
35 "declaration": null,
36 "customs_items": [
37 {
38 "id": "cstitem_3a28ba5d280f46b48e6d4195fa41a211",
39 "object": "CustomsItem",
40 "created_at": "2025-05-09T20:40:06Z",
41 "updated_at": "2025-05-09T20:40:06Z",
42 "description": "T-shirt",
43 "hs_tariff_number": "123456",
44 "origin_country": "US",
45 "quantity": 1,
46 "value": "10.0",
47 "weight": 5.0,
48 "code": "123",
49 "mode": "test",
50 "manufacturer": null,
51 "currency": null,
52 "eccn": null,
53 "printed_commodity_identifier": null
54 }
55 ]
56 },
57 "from_address": {
58 "id": "adr_cad8c90a2d1511f0b6ff3cecef1b359e",
59 "object": "Address",
60 "created_at": "2025-05-09T20:40:06+00:00",
61 "updated_at": "2025-05-09T20:40:06+00:00",
62 "name": "EasyPost",
63 "company": null,
64 "street1": "417 Montgomery Street",
65 "street2": "5th Floor",
66 "city": "San Francisco",
67 "state": "CA",
68 "zip": "94104",
69 "country": "US",
70 "phone": "4153334445",
71 "email": "support@easypost.com",
72 "mode": "test",
73 "carrier_facility": null,
74 "residential": null,
75 "federal_tax_id": null,
76 "state_tax_id": null,
77 "verifications": {}
78 },
79 "insurance": null,
80 "order_id": null,
81 "parcel": {
82 "id": "prcl_aa5a8eb48a92450c93fe5e452303cee2",
83 "object": "Parcel",
84 "created_at": "2025-05-09T20:40:06Z",
85 "updated_at": "2025-05-09T20:40:06Z",
86 "length": 20.2,
87 "width": 10.9,
88 "height": 5.0,
89 "predefined_package": null,
90 "weight": 65.9,
91 "mode": "test"
92 },
93 "postage_label": null,
94 "rates": [
95 {
96 "id": "rate_9c291b87bdec47a0b3ed151c60b21fb4",
97 "object": "Rate",
98 "created_at": "2025-05-09T20:40:07Z",
99 "updated_at": "2025-05-09T20:40:07Z",
100 "mode": "test",
101 "service": "Express",
102 "carrier": "USPS",
103 "rate": "51.20",
104 "currency": "USD",
105 "retail_rate": "59.25",
106 "retail_currency": "USD",
107 "list_rate": "51.20",
108 "list_currency": "USD",
109 "billing_type": "easypost",
110 "delivery_days": 2,
111 "delivery_date": null,
112 "delivery_date_guaranteed": false,
113 "est_delivery_days": 2,
114 "shipment_id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
115 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
116 },
117 {
118 "id": "rate_e5b3aaafb00f48a4ab27d9f20a801b40",
119 "object": "Rate",
120 "created_at": "2025-05-09T20:40:07Z",
121 "updated_at": "2025-05-09T20:40:07Z",
122 "mode": "test",
123 "service": "Priority",
124 "carrier": "USPS",
125 "rate": "11.01",
126 "currency": "USD",
127 "retail_rate": "15.40",
128 "retail_currency": "USD",
129 "list_rate": "11.01",
130 "list_currency": "USD",
131 "billing_type": "easypost",
132 "delivery_days": 2,
133 "delivery_date": null,
134 "delivery_date_guaranteed": false,
135 "est_delivery_days": 2,
136 "shipment_id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
137 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
138 },
139 {
140 "id": "rate_76e0cae29e294e6db279c76bbe2f27e9",
141 "object": "Rate",
142 "created_at": "2025-05-09T20:40:07Z",
143 "updated_at": "2025-05-09T20:40:07Z",
144 "mode": "test",
145 "service": "GroundAdvantage",
146 "carrier": "USPS",
147 "rate": "8.20",
148 "currency": "USD",
149 "retail_rate": "13.85",
150 "retail_currency": "USD",
151 "list_rate": "9.74",
152 "list_currency": "USD",
153 "billing_type": "easypost",
154 "delivery_days": 3,
155 "delivery_date": null,
156 "delivery_date_guaranteed": false,
157 "est_delivery_days": 3,
158 "shipment_id": "shp_a9b97f431c00435cb16ec2d6a14ed109",
159 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
160 }
161 ],
162 "refund_status": null,
163 "scan_form": null,
164 "selected_rate": null,
165 "tracker": null,
166 "to_address": {
167 "id": "adr_cad6e47c2d1511f094d5ac1f6bc539aa",
168 "object": "Address",
169 "created_at": "2025-05-09T20:40:06+00:00",
170 "updated_at": "2025-05-09T20:40:06+00:00",
171 "name": "Dr. Steve Brule",
172 "company": null,
173 "street1": "179 N Harbor Dr",
174 "street2": null,
175 "city": "Redondo Beach",
176 "state": "CA",
177 "zip": "90277",
178 "country": "US",
179 "phone": "8573875756",
180 "email": "dr_steve_brule@gmail.com",
181 "mode": "test",
182 "carrier_facility": null,
183 "residential": null,
184 "federal_tax_id": null,
185 "state_tax_id": null,
186 "verifications": {}
187 },
188 "usps_zone": 4,
189 "return_address": {
190 "id": "adr_cad8c90a2d1511f0b6ff3cecef1b359e",
191 "object": "Address",
192 "created_at": "2025-05-09T20:40:06+00:00",
193 "updated_at": "2025-05-09T20:40:06+00:00",
194 "name": "EasyPost",
195 "company": null,
196 "street1": "417 Montgomery Street",
197 "street2": "5th Floor",
198 "city": "San Francisco",
199 "state": "CA",
200 "zip": "94104",
201 "country": "US",
202 "phone": "4153334445",
203 "email": "support@easypost.com",
204 "mode": "test",
205 "carrier_facility": null,
206 "residential": null,
207 "federal_tax_id": null,
208 "state_tax_id": null,
209 "verifications": {}
210 },
211 "buyer_address": {
212 "id": "adr_cad6e47c2d1511f094d5ac1f6bc539aa",
213 "object": "Address",
214 "created_at": "2025-05-09T20:40:06+00:00",
215 "updated_at": "2025-05-09T20:40:06+00:00",
216 "name": "Dr. Steve Brule",
217 "company": null,
218 "street1": "179 N Harbor Dr",
219 "street2": null,
220 "city": "Redondo Beach",
221 "state": "CA",
222 "zip": "90277",
223 "country": "US",
224 "phone": "8573875756",
225 "email": "dr_steve_brule@gmail.com",
226 "mode": "test",
227 "carrier_facility": null,
228 "residential": null,
229 "federal_tax_id": null,
230 "state_tax_id": null,
231 "verifications": {}
232 },
233 "forms": [],
234 "fees": [],
235 "object": "Shipment"
236}To purchase a Shipment, specify the Rate to buy. This operation returns the tracking_code and postage_label attributes.
The default image format for the PostageLabel is PNG. To use a different format, refer to the
label_format option in the Options object.
For certain hybrid carrier services, including DHL eCommerce, FedEx Ground Economy, UPS Ground Saver, and Veho, EasyPost may receive multiple carrier tracking
numbers for a single shipment. When available from the carrier at label creation time, a secondary (alternate) tracking number is returned in
tracker.carrier_detail.alternate_identifier. If it is not immediately available, it may still populate asynchronously on the Tracker resource after label
purchase. Availability and timing vary by carrier.
Insurance may be added at the time of purchase by including the insurance attribute as a string. All insurance values must be in U.S. dollars (USD).
When the selected Rate includes an eligible landed cost guarantee, EasyPost
activates the guarantee before purchasing the carrier label. The purchased Shipment includes landed cost
information on the selected_rate.
Request Parameters
Rate1curl -X POST https://api.easypost.com/v2/shipments/shp_.../buy \
2 -u "EASYPOST_API_KEY": \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "rate": {
6 "id": "rate_..."
7 },
8 "insurance": "249.99"
9 }'1{
2 "id": "shp_40b6f049f00348b18de3804a26f7fd62",
3 "created_at": "2025-05-09T20:40:08Z",
4 "is_return": false,
5 "messages": [],
6 "mode": "test",
7 "options": {
8 "currency": "USD",
9 "payment": {
10 "type": "SENDER"
11 },
12 "date_advance": 0
13 },
14 "reference": null,
15 "status": "unknown",
16 "tracking_code": "9434600208303109842228",
17 "updated_at": "2025-05-09T20:40:09Z",
18 "batch_id": null,
19 "batch_status": null,
20 "batch_message": null,
21 "customs_info": {
22 "id": "cstinfo_23dc1eee7c1243e9a74374fd69213492",
23 "object": "CustomsInfo",
24 "created_at": "2025-05-09T20:40:08Z",
25 "updated_at": "2025-05-09T20:40:08Z",
26 "contents_explanation": "",
27 "contents_type": "merchandise",
28 "customs_certify": true,
29 "customs_signer": "Steve Brule",
30 "eel_pfc": "NOEEI 30.37(a)",
31 "non_delivery_option": "return",
32 "restriction_comments": null,
33 "restriction_type": "none",
34 "mode": "test",
35 "declaration": null,
36 "customs_items": [
37 {
38 "id": "cstitem_718bad91134f444bbe918695776765d1",
39 "object": "CustomsItem",
40 "created_at": "2025-05-09T20:40:08Z",
41 "updated_at": "2025-05-09T20:40:08Z",
42 "description": "T-shirt",
43 "hs_tariff_number": "123456",
44 "origin_country": "US",
45 "quantity": 1,
46 "value": "10.0",
47 "weight": 5.0,
48 "code": "123",
49 "mode": "test",
50 "manufacturer": null,
51 "currency": null,
52 "eccn": null,
53 "printed_commodity_identifier": null
54 }
55 ]
56 },
57 "from_address": {
58 "id": "adr_cb8e88932d1511f0b7843cecef1b359e",
59 "object": "Address",
60 "created_at": "2025-05-09T20:40:08+00:00",
61 "updated_at": "2025-05-09T20:40:08+00:00",
62 "name": "EasyPost",
63 "company": null,
64 "street1": "417 Montgomery Street",
65 "street2": "5th Floor",
66 "city": "San Francisco",
67 "state": "CA",
68 "zip": "94104",
69 "country": "US",
70 "phone": "4153334445",
71 "email": "support@easypost.com",
72 "mode": "test",
73 "carrier_facility": null,
74 "residential": null,
75 "federal_tax_id": null,
76 "state_tax_id": null,
77 "verifications": {}
78 },
79 "insurance": "249.99",
80 "order_id": null,
81 "parcel": {
82 "id": "prcl_c54771b5203d4649b64656c5f013fb06",
83 "object": "Parcel",
84 "created_at": "2025-05-09T20:40:08Z",
85 "updated_at": "2025-05-09T20:40:08Z",
86 "length": 20.2,
87 "width": 10.9,
88 "height": 5.0,
89 "predefined_package": null,
90 "weight": 65.9,
91 "mode": "test"
92 },
93 "postage_label": {
94 "object": "PostageLabel",
95 "id": "pl_ee9667b7f7cf4ec480f0c4cf3c53f39c",
96 "created_at": "2025-05-09T20:40:08Z",
97 "updated_at": "2025-05-09T20:40:09Z",
98 "date_advance": 0,
99 "integrated_form": "none",
100 "label_date": "2025-05-09T20:40:08Z",
101 "label_resolution": 300,
102 "label_size": "4x6",
103 "label_type": "default",
104 "label_file_type": "image/png",
105 "label_url": "https://easypost-files.s3.us-west-2.amazonaws.com/files/postage_label/20250509/e8bbb027b8222f4578ab4250487ed98fc6.png",
106 "label_pdf_url": null,
107 "label_zpl_url": null,
108 "label_epl2_url": null,
109 "label_file": null
110 },
111 "rates": [
112 {
113 "id": "rate_d090eaf590ba4187b30223db0af58909",
114 "object": "Rate",
115 "created_at": "2025-05-09T20:40:08Z",
116 "updated_at": "2025-05-09T20:40:08Z",
117 "mode": "test",
118 "service": "Express",
119 "carrier": "USPS",
120 "rate": "51.20",
121 "currency": "USD",
122 "retail_rate": "59.25",
123 "retail_currency": "USD",
124 "list_rate": "51.20",
125 "list_currency": "USD",
126 "billing_type": "easypost",
127 "delivery_days": 2,
128 "delivery_date": null,
129 "delivery_date_guaranteed": false,
130 "est_delivery_days": 2,
131 "shipment_id": "shp_40b6f049f00348b18de3804a26f7fd62",
132 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
133 },
134 {
135 "id": "rate_3c8c460fdfcb4a019021b9058545c513",
136 "object": "Rate",
137 "created_at": "2025-05-09T20:40:08Z",
138 "updated_at": "2025-05-09T20:40:08Z",
139 "mode": "test",
140 "service": "Priority",
141 "carrier": "USPS",
142 "rate": "11.01",
143 "currency": "USD",
144 "retail_rate": "15.40",
145 "retail_currency": "USD",
146 "list_rate": "11.01",
147 "list_currency": "USD",
148 "billing_type": "easypost",
149 "delivery_days": 2,
150 "delivery_date": null,
151 "delivery_date_guaranteed": false,
152 "est_delivery_days": 2,
153 "shipment_id": "shp_40b6f049f00348b18de3804a26f7fd62",
154 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
155 },
156 {
157 "id": "rate_5d76435160da498fb8976b64f9f69b06",
158 "object": "Rate",
159 "created_at": "2025-05-09T20:40:08Z",
160 "updated_at": "2025-05-09T20:40:08Z",
161 "mode": "test",
162 "service": "GroundAdvantage",
163 "carrier": "USPS",
164 "rate": "8.20",
165 "currency": "USD",
166 "retail_rate": "13.85",
167 "retail_currency": "USD",
168 "list_rate": "9.74",
169 "list_currency": "USD",
170 "billing_type": "easypost",
171 "delivery_days": 3,
172 "delivery_date": null,
173 "delivery_date_guaranteed": false,
174 "est_delivery_days": 3,
175 "shipment_id": "shp_40b6f049f00348b18de3804a26f7fd62",
176 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
177 }
178 ],
179 "refund_status": null,
180 "scan_form": null,
181 "selected_rate": {
182 "id": "rate_5d76435160da498fb8976b64f9f69b06",
183 "object": "Rate",
184 "created_at": "2025-05-09T20:40:08Z",
185 "updated_at": "2025-05-09T20:40:08Z",
186 "mode": "test",
187 "service": "GroundAdvantage",
188 "carrier": "USPS",
189 "rate": "8.20",
190 "currency": "USD",
191 "retail_rate": "13.85",
192 "retail_currency": "USD",
193 "list_rate": "9.74",
194 "list_currency": "USD",
195 "billing_type": "easypost",
196 "delivery_days": 3,
197 "delivery_date": null,
198 "delivery_date_guaranteed": false,
199 "est_delivery_days": 3,
200 "shipment_id": "shp_40b6f049f00348b18de3804a26f7fd62",
201 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
202 },
203 "tracker": {
204 "id": "trk_bebe7357cc7e4ebc9248bdd7191084af",
205 "object": "Tracker",
206 "mode": "test",
207 "tracking_code": "9434600208303109842228",
208 "status": "unknown",
209 "status_detail": "unknown",
210 "created_at": "2025-05-09T20:40:09Z",
211 "updated_at": "2025-05-09T20:40:09Z",
212 "signed_by": null,
213 "weight": null,
214 "est_delivery_date": null,
215 "shipment_id": "shp_40b6f049f00348b18de3804a26f7fd62",
216 "carrier": "USPS",
217 "tracking_details": [],
218 "fees": [],
219 "carrier_detail": null,
220 "public_url": "https://track.easypost.com/djE6dHJrX2JlYmU3MzU3Y2M3ZTRlYmM5MjQ4YmRkNzE5MTA4NGFm"
221 },
222 "to_address": {
223 "id": "adr_cb8b952c2d1511f09559ac1f6bc539aa",
224 "object": "Address",
225 "created_at": "2025-05-09T20:40:08+00:00",
226 "updated_at": "2025-05-09T20:40:08+00:00",
227 "name": "DR. STEVE BRULE",
228 "company": null,
229 "street1": "179 N HARBOR DR",
230 "street2": "",
231 "city": "REDONDO BEACH",
232 "state": "CA",
233 "zip": "90277-2506",
234 "country": "US",
235 "phone": "8573875756",
236 "email": "DR_STEVE_BRULE@GMAIL.COM",
237 "mode": "test",
238 "carrier_facility": null,
239 "residential": false,
240 "federal_tax_id": null,
241 "state_tax_id": null,
242 "verifications": {
243 "zip4": {
244 "success": true,
245 "errors": [],
246 "details": null
247 },
248 "delivery": {
249 "success": true,
250 "errors": [],
251 "details": {
252 "latitude": 33.8436,
253 "longitude": -118.39177,
254 "time_zone": "America/Los_Angeles"
255 }
256 }
257 }
258 },
259 "usps_zone": 4,
260 "return_address": {
261 "id": "adr_cb8e88932d1511f0b7843cecef1b359e",
262 "object": "Address",
263 "created_at": "2025-05-09T20:40:08+00:00",
264 "updated_at": "2025-05-09T20:40:08+00:00",
265 "name": "EasyPost",
266 "company": null,
267 "street1": "417 Montgomery Street",
268 "street2": "5th Floor",
269 "city": "San Francisco",
270 "state": "CA",
271 "zip": "94104",
272 "country": "US",
273 "phone": "4153334445",
274 "email": "support@easypost.com",
275 "mode": "test",
276 "carrier_facility": null,
277 "residential": null,
278 "federal_tax_id": null,
279 "state_tax_id": null,
280 "verifications": {}
281 },
282 "buyer_address": {
283 "id": "adr_cb8b952c2d1511f09559ac1f6bc539aa",
284 "object": "Address",
285 "created_at": "2025-05-09T20:40:08+00:00",
286 "updated_at": "2025-05-09T20:40:08+00:00",
287 "name": "DR. STEVE BRULE",
288 "company": null,
289 "street1": "179 N HARBOR DR",
290 "street2": "",
291 "city": "REDONDO BEACH",
292 "state": "CA",
293 "zip": "90277-2506",
294 "country": "US",
295 "phone": "8573875756",
296 "email": "DR_STEVE_BRULE@GMAIL.COM",
297 "mode": "test",
298 "carrier_facility": null,
299 "residential": false,
300 "federal_tax_id": null,
301 "state_tax_id": null,
302 "verifications": {
303 "zip4": {
304 "success": true,
305 "errors": [],
306 "details": null
307 },
308 "delivery": {
309 "success": true,
310 "errors": [],
311 "details": {
312 "latitude": 33.8436,
313 "longitude": -118.39177,
314 "time_zone": "America/Los_Angeles"
315 }
316 }
317 }
318 },
319 "forms": [],
320 "fees": [
321 {
322 "object": "Fee",
323 "type": "PostageFee",
324 "amount": "8.20000",
325 "charged": true,
326 "refunded": false
327 },
328 {
329 "object": "Fee",
330 "type": "InsuranceFee",
331 "amount": "1.24995",
332 "charged": true,
333 "refunded": false
334 }
335 ],
336 "object": "Shipment"
337}The one-call buy method enables shipment creation and label purchase in a single API call. This approach is suitable when the desired service level is already known, or a flat-rate agreement is in place with the carrier.
For certain hybrid carrier services, including DHL eCommerce, FedEx Ground Economy, UPS Ground Saver, and Veho, the response may include
tracker.carrier_detail.alternate_identifier when an alternate tracking identifier is available from the carrier at label creation time.
If it is not immediately available, it may still populate asynchronously on the Tracker resource after label purchase. Availability and
timing vary by carrier.
Using this method can reduce API calls and improve integration performance by skipping the standard two-step process (
"Create Shipment" followed by "Buy Shipment").
To utilize one-call buy, specify the CarrierAccount and service level name directly in
the Create Shipment call.
Insurance may be added at the time of purchase by including the insurance attribute within the shipment object as a string. All insurance
values must be in U.S. dollars (USD).
Note: Landed Cost is not supported with One-Call Buy. Use the standard Shipment creation and purchase workflow to retrieve landed cost information and activate eligible guarantees.
Request Parameters
AddressAddressParcelCarrierAccount IDs1curl -X POST https://api.easypost.com/v2/shipments \
2 -u "EASYPOST_API_KEY": \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "shipment": {
6 "to_address": {
7 "name": "Dr. Steve Brule",
8 "street1": "179 N Harbor Dr",
9 "city": "Redondo Beach",
10 "state": "CA",
11 "zip": "90277",
12 "country": "US",
13 "phone": "8573875756",
14 "email": "dr_steve_brule@gmail.com"
15 },
16 "from_address": {
17 "name": "EasyPost",
18 "street1": "417 Montgomery Street",
19 "street2": "5th Floor",
20 "city": "San Francisco",
21 "state": "CA",
22 "zip": "94104",
23 "country": "US",
24 "phone": "4153334445",
25 "email": "support@easypost.com"
26 },
27 "parcel": {
28 "length": "20.2",
29 "width": "10.9",
30 "height": "5",
31 "weight": "65.9"
32 },
33 "service": "NextDayAir",
34 "carrier_accounts": ["ca_..."]
35 }
36 }'1{
2 "id": "shp_1736175022204d50a30e71b0896d3574",
3 "created_at": "2025-05-09T20:40:09Z",
4 "is_return": false,
5 "messages": [],
6 "mode": "test",
7 "options": {
8 "currency": "USD",
9 "payment": {
10 "type": "SENDER"
11 },
12 "date_advance": 0
13 },
14 "reference": null,
15 "status": "unknown",
16 "tracking_code": "9405500208303109884175",
17 "updated_at": "2025-05-09T20:40:10Z",
18 "batch_id": null,
19 "batch_status": null,
20 "batch_message": null,
21 "customs_info": {
22 "id": "cstinfo_357193fcb048429a8e0bce5e5b749674",
23 "object": "CustomsInfo",
24 "created_at": "2025-05-09T20:40:09Z",
25 "updated_at": "2025-05-09T20:40:09Z",
26 "contents_explanation": "",
27 "contents_type": "merchandise",
28 "customs_certify": true,
29 "customs_signer": "Steve Brule",
30 "eel_pfc": "NOEEI 30.37(a)",
31 "non_delivery_option": "return",
32 "restriction_comments": null,
33 "restriction_type": "none",
34 "mode": "test",
35 "declaration": null,
36 "customs_items": [
37 {
38 "id": "cstitem_01dab4b8fbda40d3808829f74c1f09bb",
39 "object": "CustomsItem",
40 "created_at": "2025-05-09T20:40:09Z",
41 "updated_at": "2025-05-09T20:40:09Z",
42 "description": "T-shirt",
43 "hs_tariff_number": "123456",
44 "origin_country": "US",
45 "quantity": 1,
46 "value": "10.0",
47 "weight": 5.0,
48 "code": "123",
49 "mode": "test",
50 "manufacturer": null,
51 "currency": null,
52 "eccn": null,
53 "printed_commodity_identifier": null
54 }
55 ]
56 },
57 "from_address": {
58 "id": "adr_cc5e3cbd2d1511f0bd28ac1f6bc539ae",
59 "object": "Address",
60 "created_at": "2025-05-09T20:40:09+00:00",
61 "updated_at": "2025-05-09T20:40:09+00:00",
62 "name": "EasyPost",
63 "company": null,
64 "street1": "417 Montgomery Street",
65 "street2": "5th Floor",
66 "city": "San Francisco",
67 "state": "CA",
68 "zip": "94104",
69 "country": "US",
70 "phone": "4153334445",
71 "email": "support@easypost.com",
72 "mode": "test",
73 "carrier_facility": null,
74 "residential": null,
75 "federal_tax_id": null,
76 "state_tax_id": null,
77 "verifications": {}
78 },
79 "insurance": null,
80 "order_id": null,
81 "parcel": {
82 "id": "prcl_500a352a389c487e99bbb787a0996016",
83 "object": "Parcel",
84 "created_at": "2025-05-09T20:40:09Z",
85 "updated_at": "2025-05-09T20:40:09Z",
86 "length": 20.2,
87 "width": 10.9,
88 "height": 5.0,
89 "predefined_package": null,
90 "weight": 65.9,
91 "mode": "test"
92 },
93 "postage_label": {
94 "object": "PostageLabel",
95 "id": "pl_c96d4a595da54e74aa272657daebe8a8",
96 "created_at": "2025-05-09T20:40:10Z",
97 "updated_at": "2025-05-09T20:40:10Z",
98 "date_advance": 0,
99 "integrated_form": "none",
100 "label_date": "2025-05-09T20:40:10Z",
101 "label_resolution": 300,
102 "label_size": "4x6",
103 "label_type": "default",
104 "label_file_type": "image/png",
105 "label_url": "https://easypost-files.s3.us-west-2.amazonaws.com/files/postage_label/20250509/e8d50b008c5a7f4962ba11056e9aeb100b.png",
106 "label_pdf_url": null,
107 "label_zpl_url": null,
108 "label_epl2_url": null,
109 "label_file": null
110 },
111 "rates": [
112 {
113 "id": "rate_0f4d8ee96fd94becadf3fac53a33c25e",
114 "object": "Rate",
115 "created_at": "2025-05-09T20:40:09Z",
116 "updated_at": "2025-05-09T20:40:09Z",
117 "mode": "test",
118 "service": "Express",
119 "carrier": "USPS",
120 "rate": "51.20",
121 "currency": "USD",
122 "retail_rate": "59.25",
123 "retail_currency": "USD",
124 "list_rate": "51.20",
125 "list_currency": "USD",
126 "billing_type": "easypost",
127 "delivery_days": 2,
128 "delivery_date": null,
129 "delivery_date_guaranteed": false,
130 "est_delivery_days": 2,
131 "shipment_id": "shp_1736175022204d50a30e71b0896d3574",
132 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
133 },
134 {
135 "id": "rate_e66a4d21e46840dfa8d16a986e1bdf95",
136 "object": "Rate",
137 "created_at": "2025-05-09T20:40:09Z",
138 "updated_at": "2025-05-09T20:40:09Z",
139 "mode": "test",
140 "service": "Priority",
141 "carrier": "USPS",
142 "rate": "11.01",
143 "currency": "USD",
144 "retail_rate": "15.40",
145 "retail_currency": "USD",
146 "list_rate": "11.01",
147 "list_currency": "USD",
148 "billing_type": "easypost",
149 "delivery_days": 2,
150 "delivery_date": null,
151 "delivery_date_guaranteed": false,
152 "est_delivery_days": 2,
153 "shipment_id": "shp_1736175022204d50a30e71b0896d3574",
154 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
155 },
156 {
157 "id": "rate_e0dfa6c9a25e4bdb8ee78991d81953ae",
158 "object": "Rate",
159 "created_at": "2025-05-09T20:40:09Z",
160 "updated_at": "2025-05-09T20:40:09Z",
161 "mode": "test",
162 "service": "GroundAdvantage",
163 "carrier": "USPS",
164 "rate": "8.20",
165 "currency": "USD",
166 "retail_rate": "13.85",
167 "retail_currency": "USD",
168 "list_rate": "9.74",
169 "list_currency": "USD",
170 "billing_type": "easypost",
171 "delivery_days": 3,
172 "delivery_date": null,
173 "delivery_date_guaranteed": false,
174 "est_delivery_days": 3,
175 "shipment_id": "shp_1736175022204d50a30e71b0896d3574",
176 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
177 }
178 ],
179 "refund_status": null,
180 "scan_form": null,
181 "selected_rate": {
182 "id": "rate_e66a4d21e46840dfa8d16a986e1bdf95",
183 "object": "Rate",
184 "created_at": "2025-05-09T20:40:10Z",
185 "updated_at": "2025-05-09T20:40:10Z",
186 "mode": "test",
187 "service": "Priority",
188 "carrier": "USPS",
189 "rate": "11.01",
190 "currency": "USD",
191 "retail_rate": "15.40",
192 "retail_currency": "USD",
193 "list_rate": "11.01",
194 "list_currency": "USD",
195 "billing_type": "easypost",
196 "delivery_days": 2,
197 "delivery_date": null,
198 "delivery_date_guaranteed": false,
199 "est_delivery_days": 2,
200 "shipment_id": "shp_1736175022204d50a30e71b0896d3574",
201 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
202 },
203 "tracker": {
204 "id": "trk_fc6fb85d13d54d28b7ac9a6a732ebaf5",
205 "object": "Tracker",
206 "mode": "test",
207 "tracking_code": "9405500208303109884175",
208 "status": "unknown",
209 "status_detail": "unknown",
210 "created_at": "2025-05-09T20:40:10Z",
211 "updated_at": "2025-05-09T20:40:10Z",
212 "signed_by": null,
213 "weight": null,
214 "est_delivery_date": null,
215 "shipment_id": "shp_1736175022204d50a30e71b0896d3574",
216 "carrier": "USPS",
217 "tracking_details": [],
218 "fees": [],
219 "carrier_detail": null,
220 "public_url": "https://track.easypost.com/djE6dHJrX2ZjNmZiODVkMTNkNTRkMjhiN2FjOWE2YTczMmViYWY1"
221 },
222 "to_address": {
223 "id": "adr_cc5baf5b2d1511f09603ac1f6bc539aa",
224 "object": "Address",
225 "created_at": "2025-05-09T20:40:09+00:00",
226 "updated_at": "2025-05-09T20:40:09+00:00",
227 "name": "DR. STEVE BRULE",
228 "company": null,
229 "street1": "179 N HARBOR DR",
230 "street2": "",
231 "city": "REDONDO BEACH",
232 "state": "CA",
233 "zip": "90277-2506",
234 "country": "US",
235 "phone": "8573875756",
236 "email": "DR_STEVE_BRULE@GMAIL.COM",
237 "mode": "test",
238 "carrier_facility": null,
239 "residential": false,
240 "federal_tax_id": null,
241 "state_tax_id": null,
242 "verifications": {
243 "zip4": {
244 "success": true,
245 "errors": [],
246 "details": null
247 },
248 "delivery": {
249 "success": true,
250 "errors": [],
251 "details": {
252 "latitude": 33.8436,
253 "longitude": -118.39177,
254 "time_zone": "America/Los_Angeles"
255 }
256 }
257 }
258 },
259 "usps_zone": 4,
260 "return_address": {
261 "id": "adr_cc5e3cbd2d1511f0bd28ac1f6bc539ae",
262 "object": "Address",
263 "created_at": "2025-05-09T20:40:09+00:00",
264 "updated_at": "2025-05-09T20:40:09+00:00",
265 "name": "EasyPost",
266 "company": null,
267 "street1": "417 Montgomery Street",
268 "street2": "5th Floor",
269 "city": "San Francisco",
270 "state": "CA",
271 "zip": "94104",
272 "country": "US",
273 "phone": "4153334445",
274 "email": "support@easypost.com",
275 "mode": "test",
276 "carrier_facility": null,
277 "residential": null,
278 "federal_tax_id": null,
279 "state_tax_id": null,
280 "verifications": {}
281 },
282 "buyer_address": {
283 "id": "adr_cc5baf5b2d1511f09603ac1f6bc539aa",
284 "object": "Address",
285 "created_at": "2025-05-09T20:40:09+00:00",
286 "updated_at": "2025-05-09T20:40:09+00:00",
287 "name": "DR. STEVE BRULE",
288 "company": null,
289 "street1": "179 N HARBOR DR",
290 "street2": "",
291 "city": "REDONDO BEACH",
292 "state": "CA",
293 "zip": "90277-2506",
294 "country": "US",
295 "phone": "8573875756",
296 "email": "DR_STEVE_BRULE@GMAIL.COM",
297 "mode": "test",
298 "carrier_facility": null,
299 "residential": false,
300 "federal_tax_id": null,
301 "state_tax_id": null,
302 "verifications": {
303 "zip4": {
304 "success": true,
305 "errors": [],
306 "details": null
307 },
308 "delivery": {
309 "success": true,
310 "errors": [],
311 "details": {
312 "latitude": 33.8436,
313 "longitude": -118.39177,
314 "time_zone": "America/Los_Angeles"
315 }
316 }
317 }
318 },
319 "forms": [],
320 "fees": [
321 {
322 "object": "Fee",
323 "type": "PostageFee",
324 "amount": "11.01000",
325 "charged": true,
326 "refunded": false
327 }
328 ],
329 "object": "Shipment"
330}A list of all Shipment objects associated with the given API Key can also be retrieved. See the Pagination section of our docs for more details on retrieving all records when multiple pages are available.
Request Parameters
after_id.before_id.end_datetime.start_datetime.truefalse1curl -X GET "https://api.easypost.com/v2/shipments?page_size=5" \
2 -u "EASYPOST_API_KEY":1{
2 "shipments": [
3 {
4 "id": "shp_8e48909e1fa747acb2a359b4fd838f70",
5 "created_at": "2025-05-09T20:40:05Z",
6 "is_return": false,
7 "messages": [],
8 "mode": "test",
9 "options": {
10 "currency": "USD",
11 "payment": {
12 "type": "SENDER"
13 },
14 "date_advance": 0
15 },
16 "reference": null,
17 "status": "unknown",
18 "tracking_code": "9405500208303109884168",
19 "updated_at": "2025-05-09T20:40:06Z",
20 "batch_id": "batch_dc274421751b435b9108b58095ba445c",
21 "batch_status": "postage_purchased",
22 "batch_message": null,
23 "customs_info": {
24 "id": "cstinfo_f08ce2c040e9443890e692c0debef4ae",
25 "object": "CustomsInfo",
26 "created_at": "2025-05-09T20:40:05Z",
27 "updated_at": "2025-05-09T20:40:05Z",
28 "contents_explanation": "",
29 "contents_type": "merchandise",
30 "customs_certify": true,
31 "customs_signer": "Steve Brule",
32 "eel_pfc": "NOEEI 30.37(a)",
33 "non_delivery_option": "return",
34 "restriction_comments": null,
35 "restriction_type": "none",
36 "mode": "test",
37 "declaration": null,
38 "customs_items": [
39 {
40 "id": "cstitem_45d14b9808f14075b1abb38644420027",
41 "object": "CustomsItem",
42 "created_at": "2025-05-09T20:40:05Z",
43 "updated_at": "2025-05-09T20:40:05Z",
44 "description": "T-shirt",
45 "hs_tariff_number": "123456",
46 "origin_country": "US",
47 "quantity": 1,
48 "value": "10.0",
49 "weight": 5.0,
50 "code": "123",
51 "mode": "test",
52 "manufacturer": null,
53 "currency": null,
54 "eccn": null,
55 "printed_commodity_identifier": null
56 }
57 ]
58 },
59 "from_address": {
60 "id": "adr_c9b1e7bd2d1511f093deac1f6bc539aa",
61 "object": "Address",
62 "created_at": "2025-05-09T20:40:04+00:00",
63 "updated_at": "2025-05-09T20:40:04+00:00",
64 "name": "EasyPost",
65 "company": null,
66 "street1": "417 Montgomery Street",
67 "street2": "5th Floor",
68 "city": "San Francisco",
69 "state": "CA",
70 "zip": "94104",
71 "country": "US",
72 "phone": "4153334445",
73 "email": "support@easypost.com",
74 "mode": "test",
75 "carrier_facility": null,
76 "residential": null,
77 "federal_tax_id": null,
78 "state_tax_id": null,
79 "verifications": {}
80 },
81 "insurance": null,
82 "order_id": null,
83 "parcel": {
84 "id": "prcl_f66eca170142494c97b60d7be416db3d",
85 "object": "Parcel",
86 "created_at": "2025-05-09T20:40:05Z",
87 "updated_at": "2025-05-09T20:40:05Z",
88 "length": 20.2,
89 "width": 10.9,
90 "height": 5.0,
91 "predefined_package": null,
92 "weight": 65.9,
93 "mode": "test"
94 },
95 "postage_label": {
96 "object": "PostageLabel",
97 "id": "pl_21079a9a0cb54a09a546d6fc48669a25",
98 "created_at": "2025-05-09T20:40:05Z",
99 "updated_at": "2025-05-09T20:40:05Z",
100 "date_advance": 0,
101 "integrated_form": "none",
102 "label_date": "2025-05-09T20:40:05Z",
103 "label_resolution": 300,
104 "label_size": "4x6",
105 "label_type": "default",
106 "label_file_type": "image/png",
107 "label_url": "https://easypost-files.s3.us-west-2.amazonaws.com/files/postage_label/20250509/e8a6aefb0c810d415684623cae679d7f8d.png",
108 "label_pdf_url": null,
109 "label_zpl_url": null,
110 "label_epl2_url": null,
111 "label_file": null
112 },
113 "rates": [
114 {
115 "id": "rate_81a8e829aa26466b9040a9b6017449fc",
116 "object": "Rate",
117 "created_at": "2025-05-09T20:40:05Z",
118 "updated_at": "2025-05-09T20:40:05Z",
119 "mode": "test",
120 "service": "Priority",
121 "carrier": "USPS",
122 "rate": "11.01",
123 "currency": "USD",
124 "retail_rate": "15.40",
125 "retail_currency": "USD",
126 "list_rate": "11.01",
127 "list_currency": "USD",
128 "billing_type": "easypost",
129 "delivery_days": 2,
130 "delivery_date": null,
131 "delivery_date_guaranteed": false,
132 "est_delivery_days": 2,
133 "shipment_id": "shp_8e48909e1fa747acb2a359b4fd838f70",
134 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
135 },
136 {
137 "id": "rate_744c59a2687b47f3a122c74e5f941810",
138 "object": "Rate",
139 "created_at": "2025-05-09T20:40:05Z",
140 "updated_at": "2025-05-09T20:40:05Z",
141 "mode": "test",
142 "service": "GroundAdvantage",
143 "carrier": "USPS",
144 "rate": "8.20",
145 "currency": "USD",
146 "retail_rate": "13.85",
147 "retail_currency": "USD",
148 "list_rate": "9.74",
149 "list_currency": "USD",
150 "billing_type": "easypost",
151 "delivery_days": 3,
152 "delivery_date": null,
153 "delivery_date_guaranteed": false,
154 "est_delivery_days": 3,
155 "shipment_id": "shp_8e48909e1fa747acb2a359b4fd838f70",
156 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
157 },
158 {
159 "id": "rate_41cdf551664747d5b0ba28b4437fdd2c",
160 "object": "Rate",
161 "created_at": "2025-05-09T20:40:05Z",
162 "updated_at": "2025-05-09T20:40:05Z",
163 "mode": "test",
164 "service": "Express",
165 "carrier": "USPS",
166 "rate": "51.20",
167 "currency": "USD",
168 "retail_rate": "59.25",
169 "retail_currency": "USD",
170 "list_rate": "51.20",
171 "list_currency": "USD",
172 "billing_type": "easypost",
173 "delivery_days": 2,
174 "delivery_date": null,
175 "delivery_date_guaranteed": false,
176 "est_delivery_days": 2,
177 "shipment_id": "shp_8e48909e1fa747acb2a359b4fd838f70",
178 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
179 }
180 ],
181 "refund_status": null,
182 "scan_form": {
183 "id": "sf_78cee658be9c466192bb84c8d133159d",
184 "object": "ScanForm",
185 "created_at": "2025-05-09T20:40:06Z",
186 "updated_at": "2025-05-09T20:40:06Z",
187 "tracking_codes": [
188 "9405500208303109884168"
189 ],
190 "address": {
191 "id": "adr_c9b1e7bd2d1511f093deac1f6bc539aa",
192 "object": "Address",
193 "created_at": "2025-05-09T20:40:04+00:00",
194 "updated_at": "2025-05-09T20:40:04+00:00",
195 "name": "EasyPost",
196 "company": null,
197 "street1": "417 Montgomery Street",
198 "street2": "5th Floor",
199 "city": "San Francisco",
200 "state": "CA",
201 "zip": "94104",
202 "country": "US",
203 "phone": "4153334445",
204 "email": "support@easypost.com",
205 "mode": "test",
206 "carrier_facility": null,
207 "residential": null,
208 "federal_tax_id": null,
209 "state_tax_id": null,
210 "verifications": {}
211 },
212 "status": "created",
213 "message": null,
214 "form_url": "https://easypost-files.s3.us-west-2.amazonaws.com/files/scan_form/20250509/e85a43a1ec7a9a4f5ebd2bc09ae4327886.pdf",
215 "form_file_type": null,
216 "batch_id": "batch_dc274421751b435b9108b58095ba445c",
217 "confirmation": null
218 },
219 "selected_rate": {
220 "id": "rate_81a8e829aa26466b9040a9b6017449fc",
221 "object": "Rate",
222 "created_at": "2025-05-09T20:40:05Z",
223 "updated_at": "2025-05-09T20:40:05Z",
224 "mode": "test",
225 "service": "Priority",
226 "carrier": "USPS",
227 "rate": "11.01",
228 "currency": "USD",
229 "retail_rate": "15.40",
230 "retail_currency": "USD",
231 "list_rate": "11.01",
232 "list_currency": "USD",
233 "billing_type": "easypost",
234 "delivery_days": 2,
235 "delivery_date": null,
236 "delivery_date_guaranteed": false,
237 "est_delivery_days": 2,
238 "shipment_id": "shp_8e48909e1fa747acb2a359b4fd838f70",
239 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
240 },
241 "tracker": {
242 "id": "trk_f079f00245a040dcbaaa45a1d7b2d1fd",
243 "object": "Tracker",
244 "mode": "test",
245 "tracking_code": "9405500208303109884168",
246 "status": "pre_transit",
247 "status_detail": "status_update",
248 "created_at": "2025-05-09T20:40:05Z",
249 "updated_at": "2025-05-09T20:40:06Z",
250 "signed_by": null,
251 "weight": null,
252 "est_delivery_date": "2025-05-09T20:40:05Z",
253 "shipment_id": "shp_8e48909e1fa747acb2a359b4fd838f70",
254 "carrier": "USPS",
255 "tracking_details": [
256 {
257 "object": "TrackingDetail",
258 "message": "Pre-Shipment Info Sent to USPS",
259 "description": "",
260 "status": "pre_transit",
261 "status_detail": "status_update",
262 "datetime": "2025-04-09T20:40:05Z",
263 "source": "USPS",
264 "carrier_code": "",
265 "tracking_location": {
266 "object": "TrackingLocation",
267 "city": null,
268 "state": null,
269 "country": null,
270 "zip": null
271 },
272 "est_delivery_date": null
273 },
274 {
275 "object": "TrackingDetail",
276 "message": "Shipping Label Created",
277 "description": "",
278 "status": "pre_transit",
279 "status_detail": "status_update",
280 "datetime": "2025-04-10T09:17:05Z",
281 "source": "USPS",
282 "carrier_code": "",
283 "tracking_location": {
284 "object": "TrackingLocation",
285 "city": "HOUSTON",
286 "state": "TX",
287 "country": null,
288 "zip": "77063"
289 },
290 "est_delivery_date": null
291 }
292 ],
293 "fees": [],
294 "carrier_detail": {
295 "object": "CarrierDetail",
296 "service": "First-Class Package Service",
297 "container_type": null,
298 "est_delivery_date_local": null,
299 "est_delivery_time_local": null,
300 "origin_location": "HOUSTON TX, 77001",
301 "origin_tracking_location": {
302 "object": "TrackingLocation",
303 "city": "HOUSTON",
304 "state": "TX",
305 "country": null,
306 "zip": "77063"
307 },
308 "destination_location": "CHARLESTON SC, 29401",
309 "destination_tracking_location": null,
310 "guaranteed_delivery_date": null,
311 "alternate_identifier": null,
312 "initial_delivery_attempt": null
313 },
314 "public_url": "https://track.easypost.com/djE6dHJrX2YwNzlmMDAyNDVhMDQwZGNiYWFhNDVhMWQ3YjJkMWZk"
315 },
316 "to_address": {
317 "id": "adr_c9b00fda2d1511f093dbac1f6bc539aa",
318 "object": "Address",
319 "created_at": "2025-05-09T20:40:04+00:00",
320 "updated_at": "2025-05-09T20:40:05+00:00",
321 "name": "DR. STEVE BRULE",
322 "company": null,
323 "street1": "179 N HARBOR DR",
324 "street2": null,
325 "city": "REDONDO BEACH",
326 "state": "CA",
327 "zip": "90277-2506",
328 "country": "US",
329 "phone": "8573875756",
330 "email": "DR_STEVE_BRULE@GMAIL.COM",
331 "mode": "test",
332 "carrier_facility": null,
333 "residential": false,
334 "federal_tax_id": null,
335 "state_tax_id": null,
336 "verifications": {
337 "zip4": {
338 "success": true,
339 "errors": [],
340 "details": null
341 },
342 "delivery": {
343 "success": true,
344 "errors": [],
345 "details": {
346 "latitude": 33.8436,
347 "longitude": -118.39177,
348 "time_zone": "America/Los_Angeles"
349 }
350 }
351 }
352 },
353 "usps_zone": 4,
354 "return_address": {
355 "id": "adr_c9b1e7bd2d1511f093deac1f6bc539aa",
356 "object": "Address",
357 "created_at": "2025-05-09T20:40:04+00:00",
358 "updated_at": "2025-05-09T20:40:04+00:00",
359 "name": "EasyPost",
360 "company": null,
361 "street1": "417 Montgomery Street",
362 "street2": "5th Floor",
363 "city": "San Francisco",
364 "state": "CA",
365 "zip": "94104",
366 "country": "US",
367 "phone": "4153334445",
368 "email": "support@easypost.com",
369 "mode": "test",
370 "carrier_facility": null,
371 "residential": null,
372 "federal_tax_id": null,
373 "state_tax_id": null,
374 "verifications": {}
375 },
376 "buyer_address": {
377 "id": "adr_c9b00fda2d1511f093dbac1f6bc539aa",
378 "object": "Address",
379 "created_at": "2025-05-09T20:40:04+00:00",
380 "updated_at": "2025-05-09T20:40:05+00:00",
381 "name": "DR. STEVE BRULE",
382 "company": null,
383 "street1": "179 N HARBOR DR",
384 "street2": null,
385 "city": "REDONDO BEACH",
386 "state": "CA",
387 "zip": "90277-2506",
388 "country": "US",
389 "phone": "8573875756",
390 "email": "DR_STEVE_BRULE@GMAIL.COM",
391 "mode": "test",
392 "carrier_facility": null,
393 "residential": false,
394 "federal_tax_id": null,
395 "state_tax_id": null,
396 "verifications": {
397 "zip4": {
398 "success": true,
399 "errors": [],
400 "details": null
401 },
402 "delivery": {
403 "success": true,
404 "errors": [],
405 "details": {
406 "latitude": 33.8436,
407 "longitude": -118.39177,
408 "time_zone": "America/Los_Angeles"
409 }
410 }
411 }
412 },
413 "forms": [],
414 "fees": [
415 {
416 "object": "Fee",
417 "type": "PostageFee",
418 "amount": "11.01000",
419 "charged": true,
420 "refunded": false
421 }
422 ],
423 "object": "Shipment"
424 }
425 ],
426 "has_more": true
427}A Shipment can be retrieved by either its id or reference.
However it is recommended to use EasyPost's provided identifiers
because uniqueness on reference is not enforced.
1curl -X GET https://api.easypost.com/v2/shipments/shp_... \
2 -u "EASYPOST_API_KEY":1{
2 "id": "shp_c1bb96ace9e943758c3bd61be420ab08",
3 "created_at": "2025-05-09T20:40:07Z",
4 "is_return": false,
5 "messages": [],
6 "mode": "test",
7 "options": {
8 "currency": "USD",
9 "payment": {
10 "type": "SENDER"
11 },
12 "date_advance": 0
13 },
14 "reference": null,
15 "status": "unknown",
16 "tracking_code": null,
17 "updated_at": "2025-05-09T20:40:07Z",
18 "batch_id": null,
19 "batch_status": null,
20 "batch_message": null,
21 "customs_info": {
22 "id": "cstinfo_d13013651515499596d60dabc9cf28d1",
23 "object": "CustomsInfo",
24 "created_at": "2025-05-09T20:40:07Z",
25 "updated_at": "2025-05-09T20:40:07Z",
26 "contents_explanation": "",
27 "contents_type": "merchandise",
28 "customs_certify": true,
29 "customs_signer": "Steve Brule",
30 "eel_pfc": "NOEEI 30.37(a)",
31 "non_delivery_option": "return",
32 "restriction_comments": null,
33 "restriction_type": "none",
34 "mode": "test",
35 "declaration": null,
36 "customs_items": [
37 {
38 "id": "cstitem_947338a8c88a43449eaaeb9e7ba8d0f0",
39 "object": "CustomsItem",
40 "created_at": "2025-05-09T20:40:07Z",
41 "updated_at": "2025-05-09T20:40:07Z",
42 "description": "T-shirt",
43 "hs_tariff_number": "123456",
44 "origin_country": "US",
45 "quantity": 1,
46 "value": "10.0",
47 "weight": 5.0,
48 "code": "123",
49 "mode": "test",
50 "manufacturer": null,
51 "currency": null,
52 "eccn": null,
53 "printed_commodity_identifier": null
54 }
55 ]
56 },
57 "from_address": {
58 "id": "adr_cb0e0bf42d1511f094feac1f6bc539aa",
59 "object": "Address",
60 "created_at": "2025-05-09T20:40:07+00:00",
61 "updated_at": "2025-05-09T20:40:07+00:00",
62 "name": "EasyPost",
63 "company": null,
64 "street1": "417 Montgomery Street",
65 "street2": "5th Floor",
66 "city": "San Francisco",
67 "state": "CA",
68 "zip": "94104",
69 "country": "US",
70 "phone": "4153334445",
71 "email": "support@easypost.com",
72 "mode": "test",
73 "carrier_facility": null,
74 "residential": null,
75 "federal_tax_id": null,
76 "state_tax_id": null,
77 "verifications": {}
78 },
79 "insurance": null,
80 "order_id": null,
81 "parcel": {
82 "id": "prcl_386d2ee1f23245e4a40bb214ce02f22b",
83 "object": "Parcel",
84 "created_at": "2025-05-09T20:40:07Z",
85 "updated_at": "2025-05-09T20:40:07Z",
86 "length": 20.2,
87 "width": 10.9,
88 "height": 5.0,
89 "predefined_package": null,
90 "weight": 65.9,
91 "mode": "test"
92 },
93 "postage_label": null,
94 "rates": [
95 {
96 "id": "rate_fce6cab8718549c68f4017128c522ade",
97 "object": "Rate",
98 "created_at": "2025-05-09T20:40:07Z",
99 "updated_at": "2025-05-09T20:40:07Z",
100 "mode": "test",
101 "service": "Priority",
102 "carrier": "USPS",
103 "rate": "11.01",
104 "currency": "USD",
105 "retail_rate": "15.40",
106 "retail_currency": "USD",
107 "list_rate": "11.01",
108 "list_currency": "USD",
109 "billing_type": "easypost",
110 "delivery_days": 2,
111 "delivery_date": null,
112 "delivery_date_guaranteed": false,
113 "est_delivery_days": 2,
114 "shipment_id": "shp_c1bb96ace9e943758c3bd61be420ab08",
115 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
116 },
117 {
118 "id": "rate_2eff47b5ebb848dea06a032ba9537320",
119 "object": "Rate",
120 "created_at": "2025-05-09T20:40:07Z",
121 "updated_at": "2025-05-09T20:40:07Z",
122 "mode": "test",
123 "service": "GroundAdvantage",
124 "carrier": "USPS",
125 "rate": "8.20",
126 "currency": "USD",
127 "retail_rate": "13.85",
128 "retail_currency": "USD",
129 "list_rate": "9.74",
130 "list_currency": "USD",
131 "billing_type": "easypost",
132 "delivery_days": 3,
133 "delivery_date": null,
134 "delivery_date_guaranteed": false,
135 "est_delivery_days": 3,
136 "shipment_id": "shp_c1bb96ace9e943758c3bd61be420ab08",
137 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
138 },
139 {
140 "id": "rate_8560ce5d667c44babf1149db5f3c9912",
141 "object": "Rate",
142 "created_at": "2025-05-09T20:40:07Z",
143 "updated_at": "2025-05-09T20:40:07Z",
144 "mode": "test",
145 "service": "Express",
146 "carrier": "USPS",
147 "rate": "51.20",
148 "currency": "USD",
149 "retail_rate": "59.25",
150 "retail_currency": "USD",
151 "list_rate": "51.20",
152 "list_currency": "USD",
153 "billing_type": "easypost",
154 "delivery_days": 2,
155 "delivery_date": null,
156 "delivery_date_guaranteed": false,
157 "est_delivery_days": 2,
158 "shipment_id": "shp_c1bb96ace9e943758c3bd61be420ab08",
159 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
160 }
161 ],
162 "refund_status": null,
163 "scan_form": null,
164 "selected_rate": null,
165 "tracker": null,
166 "to_address": {
167 "id": "adr_cb0b69ec2d1511f094fcac1f6bc539aa",
168 "object": "Address",
169 "created_at": "2025-05-09T20:40:07+00:00",
170 "updated_at": "2025-05-09T20:40:07+00:00",
171 "name": "Dr. Steve Brule",
172 "company": null,
173 "street1": "179 N Harbor Dr",
174 "street2": null,
175 "city": "Redondo Beach",
176 "state": "CA",
177 "zip": "90277",
178 "country": "US",
179 "phone": "8573875756",
180 "email": "dr_steve_brule@gmail.com",
181 "mode": "test",
182 "carrier_facility": null,
183 "residential": null,
184 "federal_tax_id": null,
185 "state_tax_id": null,
186 "verifications": {}
187 },
188 "usps_zone": 4,
189 "return_address": {
190 "id": "adr_cb0e0bf42d1511f094feac1f6bc539aa",
191 "object": "Address",
192 "created_at": "2025-05-09T20:40:07+00:00",
193 "updated_at": "2025-05-09T20:40:07+00:00",
194 "name": "EasyPost",
195 "company": null,
196 "street1": "417 Montgomery Street",
197 "street2": "5th Floor",
198 "city": "San Francisco",
199 "state": "CA",
200 "zip": "94104",
201 "country": "US",
202 "phone": "4153334445",
203 "email": "support@easypost.com",
204 "mode": "test",
205 "carrier_facility": null,
206 "residential": null,
207 "federal_tax_id": null,
208 "state_tax_id": null,
209 "verifications": {}
210 },
211 "buyer_address": {
212 "id": "adr_cb0b69ec2d1511f094fcac1f6bc539aa",
213 "object": "Address",
214 "created_at": "2025-05-09T20:40:07+00:00",
215 "updated_at": "2025-05-09T20:40:07+00:00",
216 "name": "Dr. Steve Brule",
217 "company": null,
218 "street1": "179 N Harbor Dr",
219 "street2": null,
220 "city": "Redondo Beach",
221 "state": "CA",
222 "zip": "90277",
223 "country": "US",
224 "phone": "8573875756",
225 "email": "dr_steve_brule@gmail.com",
226 "mode": "test",
227 "carrier_facility": null,
228 "residential": null,
229 "federal_tax_id": null,
230 "state_tax_id": null,
231 "verifications": {}
232 },
233 "forms": [],
234 "fees": [],
235 "object": "Shipment"
236}A Shipment's PostageLabel can be
converted from PNG to other formats. To convert a
PostageLabel, the original must be a PNG. Converting
labels works best when they are 4x6 labels converted from PNG to ZPL.
Request Parameters
1curl -X GET https://api.easypost.com/v2/shipments/shp_.../label?file_format=ZPL \
2 -u "EASYPOST_API_KEY":1{
2 "id": "shp_55eb159774bc4ecfb06777fce34b7d33",
3 "created_at": "2025-05-09T20:40:10Z",
4 "is_return": false,
5 "messages": [],
6 "mode": "test",
7 "options": {
8 "currency": "USD",
9 "payment": {
10 "type": "SENDER"
11 },
12 "date_advance": 0
13 },
14 "reference": null,
15 "status": "unknown",
16 "tracking_code": "9434600208303109842235",
17 "updated_at": "2025-05-09T20:40:11Z",
18 "batch_id": null,
19 "batch_status": null,
20 "batch_message": null,
21 "customs_info": {
22 "id": "cstinfo_f601ae5718bd469c8531e3749248829a",
23 "object": "CustomsInfo",
24 "created_at": "2025-05-09T20:40:10Z",
25 "updated_at": "2025-05-09T20:40:10Z",
26 "contents_explanation": "",
27 "contents_type": "merchandise",
28 "customs_certify": true,
29 "customs_signer": "Steve Brule",
30 "eel_pfc": "NOEEI 30.37(a)",
31 "non_delivery_option": "return",
32 "restriction_comments": null,
33 "restriction_type": "none",
34 "mode": "test",
35 "declaration": null,
36 "customs_items": [
37 {
38 "id": "cstitem_6893f3ef878e496ebf90bf27daf879d5",
39 "object": "CustomsItem",
40 "created_at": "2025-05-09T20:40:10Z",
41 "updated_at": "2025-05-09T20:40:10Z",
42 "description": "T-shirt",
43 "hs_tariff_number": "123456",
44 "origin_country": "US",
45 "quantity": 1,
46 "value": "10.0",
47 "weight": 5.0,
48 "code": "123",
49 "mode": "test",
50 "manufacturer": null,
51 "currency": null,
52 "eccn": null,
53 "printed_commodity_identifier": null
54 }
55 ]
56 },
57 "from_address": {
58 "id": "adr_ccf4bdd42d1511f0967bac1f6bc539aa",
59 "object": "Address",
60 "created_at": "2025-05-09T20:40:10+00:00",
61 "updated_at": "2025-05-09T20:40:10+00:00",
62 "name": "EasyPost",
63 "company": null,
64 "street1": "417 Montgomery Street",
65 "street2": "5th Floor",
66 "city": "San Francisco",
67 "state": "CA",
68 "zip": "94104",
69 "country": "US",
70 "phone": "4153334445",
71 "email": "support@easypost.com",
72 "mode": "test",
73 "carrier_facility": null,
74 "residential": null,
75 "federal_tax_id": null,
76 "state_tax_id": null,
77 "verifications": {}
78 },
79 "insurance": null,
80 "order_id": null,
81 "parcel": {
82 "id": "prcl_398ef47ef288457a8967d18b400d877e",
83 "object": "Parcel",
84 "created_at": "2025-05-09T20:40:10Z",
85 "updated_at": "2025-05-09T20:40:10Z",
86 "length": 20.2,
87 "width": 10.9,
88 "height": 5.0,
89 "predefined_package": null,
90 "weight": 65.9,
91 "mode": "test"
92 },
93 "postage_label": {
94 "object": "PostageLabel",
95 "id": "pl_6270007cad7643eaad274bb5c71e9614",
96 "created_at": "2025-05-09T20:40:11Z",
97 "updated_at": "2025-05-09T20:40:12Z",
98 "date_advance": 0,
99 "integrated_form": "none",
100 "label_date": "2025-05-09T20:40:11Z",
101 "label_resolution": 300,
102 "label_size": "4x6",
103 "label_type": "default",
104 "label_file_type": "image/png",
105 "label_url": "https://easypost-files.s3.us-west-2.amazonaws.com/files/postage_label/20250509/e857a7afd19edf498587cd09e2564722ab.png",
106 "label_pdf_url": null,
107 "label_zpl_url": "https://easypost-files.s3-us-west-2.amazonaws.com/files/postage_label/20250509/cbed7645eafc4a23af370b4525144fc3.zpl",
108 "label_epl2_url": null,
109 "label_file": null
110 },
111 "rates": [
112 {
113 "id": "rate_8f21e20a210249f7b7dec4f8a0f5a09f",
114 "object": "Rate",
115 "created_at": "2025-05-09T20:40:10Z",
116 "updated_at": "2025-05-09T20:40:10Z",
117 "mode": "test",
118 "service": "Express",
119 "carrier": "USPS",
120 "rate": "51.20",
121 "currency": "USD",
122 "retail_rate": "59.25",
123 "retail_currency": "USD",
124 "list_rate": "51.20",
125 "list_currency": "USD",
126 "billing_type": "easypost",
127 "delivery_days": 2,
128 "delivery_date": null,
129 "delivery_date_guaranteed": false,
130 "est_delivery_days": 2,
131 "shipment_id": "shp_55eb159774bc4ecfb06777fce34b7d33",
132 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
133 },
134 {
135 "id": "rate_50c5205056e14b95b3e921aff00a9e91",
136 "object": "Rate",
137 "created_at": "2025-05-09T20:40:10Z",
138 "updated_at": "2025-05-09T20:40:10Z",
139 "mode": "test",
140 "service": "Priority",
141 "carrier": "USPS",
142 "rate": "11.01",
143 "currency": "USD",
144 "retail_rate": "15.40",
145 "retail_currency": "USD",
146 "list_rate": "11.01",
147 "list_currency": "USD",
148 "billing_type": "easypost",
149 "delivery_days": 2,
150 "delivery_date": null,
151 "delivery_date_guaranteed": false,
152 "est_delivery_days": 2,
153 "shipment_id": "shp_55eb159774bc4ecfb06777fce34b7d33",
154 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
155 },
156 {
157 "id": "rate_8ba81ced929549fdaf5ddfc21c852c8f",
158 "object": "Rate",
159 "created_at": "2025-05-09T20:40:10Z",
160 "updated_at": "2025-05-09T20:40:10Z",
161 "mode": "test",
162 "service": "GroundAdvantage",
163 "carrier": "USPS",
164 "rate": "8.20",
165 "currency": "USD",
166 "retail_rate": "13.85",
167 "retail_currency": "USD",
168 "list_rate": "9.74",
169 "list_currency": "USD",
170 "billing_type": "easypost",
171 "delivery_days": 3,
172 "delivery_date": null,
173 "delivery_date_guaranteed": false,
174 "est_delivery_days": 3,
175 "shipment_id": "shp_55eb159774bc4ecfb06777fce34b7d33",
176 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
177 }
178 ],
179 "refund_status": null,
180 "scan_form": null,
181 "selected_rate": {
182 "id": "rate_8ba81ced929549fdaf5ddfc21c852c8f",
183 "object": "Rate",
184 "created_at": "2025-05-09T20:40:11Z",
185 "updated_at": "2025-05-09T20:40:11Z",
186 "mode": "test",
187 "service": "GroundAdvantage",
188 "carrier": "USPS",
189 "rate": "8.20",
190 "currency": "USD",
191 "retail_rate": "13.85",
192 "retail_currency": "USD",
193 "list_rate": "9.74",
194 "list_currency": "USD",
195 "billing_type": "easypost",
196 "delivery_days": 3,
197 "delivery_date": null,
198 "delivery_date_guaranteed": false,
199 "est_delivery_days": 3,
200 "shipment_id": "shp_55eb159774bc4ecfb06777fce34b7d33",
201 "carrier_account_id": "ca_9685a1198a75477885a3cdca37559bac"
202 },
203 "tracker": {
204 "id": "trk_00760f5158574ef4a062a09c5848dcff",
205 "object": "Tracker",
206 "mode": "test",
207 "tracking_code": "9434600208303109842235",
208 "status": "pre_transit",
209 "status_detail": "status_update",
210 "created_at": "2025-05-09T20:40:11Z",
211 "updated_at": "2025-05-09T20:40:11Z",
212 "signed_by": null,
213 "weight": null,
214 "est_delivery_date": "2025-05-09T20:40:11Z",
215 "shipment_id": "shp_55eb159774bc4ecfb06777fce34b7d33",
216 "carrier": "USPS",
217 "tracking_details": [
218 {
219 "object": "TrackingDetail",
220 "message": "Pre-Shipment Info Sent to USPS",
221 "description": "",
222 "status": "pre_transit",
223 "status_detail": "status_update",
224 "datetime": "2025-04-09T20:40:11Z",
225 "source": "USPS",
226 "carrier_code": "",
227 "tracking_location": {
228 "object": "TrackingLocation",
229 "city": null,
230 "state": null,
231 "country": null,
232 "zip": null
233 },
234 "est_delivery_date": null
235 },
236 {
237 "object": "TrackingDetail",
238 "message": "Shipping Label Created",
239 "description": "",
240 "status": "pre_transit",
241 "status_detail": "status_update",
242 "datetime": "2025-04-10T09:17:11Z",
243 "source": "USPS",
244 "carrier_code": "",
245 "tracking_location": {
246 "object": "TrackingLocation",
247 "city": "HOUSTON",
248 "state": "TX",
249 "country": null,
250 "zip": "77063"
251 },
252 "est_delivery_date": null
253 }
254 ],
255 "fees": [],
256 "carrier_detail": {
257 "object": "CarrierDetail",
258 "service": "First-Class Package Service",
259 "container_type": null,
260 "est_delivery_date_local": null,
261 "est_delivery_time_local": null,
262 "origin_location": "HOUSTON TX, 77001",
263 "origin_tracking_location": {
264 "object": "TrackingLocation",
265 "city": "HOUSTON",
266 "state": "TX",
267 "country": null,
268 "zip": "77063"
269 },
270 "destination_location": "CHARLESTON SC, 29401",
271 "destination_tracking_location": null,
272 "guaranteed_delivery_date": null,
273 "alternate_identifier": null,
274 "initial_delivery_attempt": null
275 },
276 "public_url": "https://track.easypost.com/djE6dHJrXzAwNzYwZjUxNTg1NzRlZjRhMDYyYTA5YzU4NDhkY2Zm"
277 },
278 "to_address": {
279 "id": "adr_ccf1e01f2d1511f09676ac1f6bc539aa",
280 "object": "Address",
281 "created_at": "2025-05-09T20:40:10+00:00",
282 "updated_at": "2025-05-09T20:40:10+00:00",
283 "name": "DR. STEVE BRULE",
284 "company": null,
285 "street1": "179 N HARBOR DR",
286 "street2": null,
287 "city": "REDONDO BEACH",
288 "state": "CA",
289 "zip": "90277-2506",
290 "country": "US",
291 "phone": "8573875756",
292 "email": "DR_STEVE_BRULE@GMAIL.COM",
293 "mode": "test",
294 "carrier_facility": null,
295 "residential": false,
296 "federal_tax_id": null,
297 "state_tax_id": null,
298 "verifications": {
299 "zip4": {
300 "success": true,
301 "errors": [],
302 "details": null
303 },
304 "delivery": {
305 "success": true,
306 "errors": [],
307 "details": {
308 "latitude": 33.8436,
309 "longitude": -118.39177,
310 "time_zone": "America/Los_Angeles"
311 }
312 }
313 }
314 },
315 "usps_zone": 4,
316 "return_address": {
317 "id": "adr_ccf4bdd42d1511f0967bac1f6bc539aa",
318 "object": "Address",
319 "created_at": "2025-05-09T20:40:10+00:00",
320 "updated_at": "2025-05-09T20:40:10+00:00",
321 "name": "EasyPost",
322 "company": null,
323 "street1": "417 Montgomery Street",
324 "street2": "5th Floor",
325 "city": "San Francisco",
326 "state": "CA",
327 "zip": "94104",
328 "country": "US",
329 "phone": "4153334445",
330 "email": "support@easypost.com",
331 "mode": "test",
332 "carrier_facility": null,
333 "residential": null,
334 "federal_tax_id": null,
335 "state_tax_id": null,
336 "verifications": {}
337 },
338 "buyer_address": {
339 "id": "adr_ccf1e01f2d1511f09676ac1f6bc539aa",
340 "object": "Address",
341 "created_at": "2025-05-09T20:40:10+00:00",
342 "updated_at": "2025-05-09T20:40:10+00:00",
343 "name": "DR. STEVE BRULE",
344 "company": null,
345 "street1": "179 N HARBOR DR",
346 "street2": null,
347 "city": "REDONDO BEACH",
348 "state": "CA",
349 "zip": "90277-2506",
350 "country": "US",
351 "phone": "8573875756",
352 "email": "DR_STEVE_BRULE@GMAIL.COM",
353 "mode": "test",
354 "carrier_facility": null,
355 "residential": false,
356 "federal_tax_id": null,
357 "state_tax_id": null,
358 "verifications": {
359 "zip4": {
360 "success": true,
361 "errors": [],
362 "details": null
363 },
364 "delivery": {
365 "success": true,
366 "errors": [],
367 "details": {
368 "latitude": 33.8436,
369 "longitude": -118.39177,
370 "time_zone": "America/Los_Angeles"
371 }
372 }
373 }
374 },
375 "forms": [],
376 "fees": [
377 {
378 "object": "Fee",
379 "type": "PostageFee",
380 "amount": "8.20000",
381 "charged": true,
382 "refunded": false
383 }
384 ],
385 "object": "Shipment"
386}